*------------- Telecommunications & Signal Processing Lab --------------
*                          McGill University
*
*
* Module:
*     LOGICAL FUNCTION TTYFUN (LUN)
*
*
* Purpose:
*     Determine if a Fortran unit is connected to a terminal
*
*
* Description:
*     This function determines if the device connected to a given
*     Fortran unit number is a terminal.
*
*
* Parameters:
* L <-  TTYFUN - Returned logical value,
*                TRUE  - A terminal is associated with unit LUN
*                FALSE - A terminal is not associated with unit LUN
*
* I ->  LUN    - Fortran unit number
*
*
* Routines required:
*     ISATTY - System routine, determine if a unit is a terminal
*
*
* Author / revision:
*     P. Kabal  Copyright (C) 1993
*     $Revision: 1.3 $  $Date: 1993/01/24 20:01:20 $
*
*
*-----------------------------------------------------------------------

      LOGICAL FUNCTION TTYFUN (LUN)


      INTEGER LUN

      LOGICAL ISATTY


      TTYFUN = ISATTY(LUN)


      RETURN

      END
