*------------- Telecommunications & Signal Processing Lab --------------
*                          McGill University
*
*
* Module:
*     SUBROUTINE HALT (STRING)
*
*
* Purpose:
*     Print an error message, stop with error status set
*
*
* Description:
*     This routine prints an error message on the standard error unit
*     and then terminates execution with error code -1 (255).
*
*
* Parameters:
* C ->  STRING - Character string to be printed
*
*
* Routines required:
*     EXIT   - System routine, terminate a process with a status code
*
*
* Author / revision:
*     P. Kabal  Copyright (C) 1993
*     $Revision: 1.3 $  $Date: 1993/01/25 00:43:10 $
*
*
*-----------------------------------------------------------------------

      SUBROUTINE HALT (STRING)


      CHARACTER*(*) STRING


* Write the message text to the standard error unit and
* halt execution with a -1 (255) status code
* (Assume that the standard error unit does not use Fortran
* carriage control)
      WRITE (UNIT=0,FMT=1000) STRING
      WRITE (UNIT=0,FMT=1000) 'Fatal error - execution terminated'
      CALL EXIT(255)


      RETURN

 1000 FORMAT (A)

      END
